Subject: bug#79261: coreutils 9.7 "date -u" - timezone offset is in the wrong direction

From: James Feeney <[email-masked]>
Date: Sun, 24 Aug 2025 15:33:41 -0600

By the way, aside from properly reading what is actually on the screen, or not, it must also be noted that "UTC" is in *Great Britain*, where the local "locale" is "en-GB", and the standard time format in Great Britain is 24 hour, not 12 hour.  Thereby, it seems to me that reporting UTC in 12 hour format is just plain wrong.

Some people will argue that UTC is a "time" and not a "time zone".  Then also, it is not entirely sensible say both that "the current UTC time must have a display format in this such time zone", and then to say that "UTC is not a time zone".  Consider, when reading from https://www.wpc.ncep.noaa.gov/html/FAQs_1.html in the United States:
----
When you see 12 UTC or 1200 UTC or 12Z (all are the same and depend on forecaster preference), it refers to noon at Greenwich.  00 UTC or 00Z is midnight Greenwich time.
----
"Greenwich time" is the time in Greenwich, not the time somewhere else in the world.  Since 1968 December, the audio announcements from the WWV broadcasts from Fort Collins Colorado always say "Coordinated Universal Time", in 24 hour format, and *not* "Mountain Daylight Time", in 12 hour format.

We note that `man 1 date` explicitly says that `date -u` will display "UTC" time:
----
       -u, --utc, --universal
              print or set Coordinated Universal Time (UTC)
----
It never occurred to me that UTC could ever be reported in a 12 hour format.  I still think of this as a bug, or at least a "misfeature", where conversely, someone had reported *not* using the local "locale" to display the time in the `date` command as a bug.  While this might be thought of as a "cultural" difference in interpretation, I believe that "UTC" itself should be the "UTC" of Great Britain, "+0000", never some UTC in MDT, despite the US NIST-F4 time standard being in Boulder Colorado.

Actually, it may be proper to display the result of `date` in the local "locale" format generally, but then also, to display UTC from `date -u` as properly in "Greenwich time", in England, with the en-GB locale.  When "UTC" from `date -u` is displayed in a different format, in every different country and in every different time zone, there is much less that is "universal" about "UTC", and "UTC" is much less of a constant that you can trust.

I would like to know other people's thoughts on the question of whether "UTC" has the time format of Great Britain, or the time format of some other location.

Perhaps also read comments from the prior change to the display format here:
https://patchwork.ozlabs.org/project/glibc/patch/[email-masked]/

James